Package oasis.names.tc.dss._1_0.core.schema

# Class RequesterIdentity

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.RequesterIdentity

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class RequesterIdentity extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:oasis:names:tc:SAML:1.0:assertion}NameIdentifierType"/>
             <element name="SupportingInfo" type="{urn:oasis:names:tc:dss:1.0:core:schema}AnyType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequesterIdentity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NameIdentifierType`
  `getName()`
  Gets the value of the name property.
  `AnyType`
  `getSupportingInfo()`
  Gets the value of the supportingInfo property.
  `void`
  `setName(NameIdentifierType value)`
  Sets the value of the name property.
  `void`
  `setSupportingInfo(AnyType value)`
  Sets the value of the supportingInfo property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequesterIdentity

    public RequesterIdentity()

- ## Method Details

  - ### getName

    public NameIdentifierType getName()
    Gets the value of the name property.
    Returns:
      possible object is `NameIdentifierType`

  - ### setName

    public void setName(NameIdentifierType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `NameIdentifierType`

  - ### getSupportingInfo

    public AnyType getSupportingInfo()
    Gets the value of the supportingInfo property.
    Returns:
      possible object is `AnyType`

  - ### setSupportingInfo

    public void setSupportingInfo(AnyType value)
    Sets the value of the supportingInfo property.
    Parameters:
      `value` - allowed object is `AnyType`